Home

# Class goog.ui.media.GoogleVideo

Subclasses a goog.ui.media.MediaRenderer to provide a GoogleVideo specific media renderer. This class knows how to parse GoogleVideo URLs, and render the DOM structure of GoogleVideo video players. This class is meant to be used as a singleton static stateless class, that takes {@code goog.ui.media.Media} instances and renders it. It expects {@code goog.ui.media.Media.getModel} to return a well formed, previously constructed, GoogleVideo video id, which is the data model this renderer will use to construct the DOM structure. {@see goog.ui.media.GoogleVideo.newControl} for a example of constructing a control with this renderer. This design is patterned after http://go/closure_control_subclassing It uses {@link goog.ui.media.FlashObject} to embed the flash object.

extends goog.ui.media.MediaRenderer

Instance Method Summary
| `createDom(?goog.ui.media.Media control) ⇒ ?Element` Creates the initial DOM structure of the GoogleVideo video, which is basically a the flash object pointing to a GoogleVideo video player.
| `getCssClass() ⇒ string` Returns the CSS class to be applied to the root element of components rendered using this renderer.

Static Method Summary

`newControl(?goog.ui.media.GoogleVideoModel dataModel, ?goog.dom.DomHelper= opt_domHelper) ⇒ ?goog.ui.media.Media`

A static convenient method to construct a goog.ui.media.Media control out of a GoogleVideo model. It sets it as the data model goog.ui.media.GoogleVideo renderer uses, sets the states supported by the renderer, and returns a Control that binds everything together. This is what you should be using for constructing GoogleVideo videos, except if you need finer control over the configuration.